hadoop-common-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Mawata <chris.maw...@gmail.com>
Subject Re: Issue when building Pig
Date Sat, 31 May 2014 09:08:58 GMT
Ran into the same problem. The cause is that in the various repositories
the jetty dependency you are looking for is a jar rather than a zip.
I hunted the zip down ( do a search -- I think it was at JBoss that I found
it)  and put it in the right place in you Maven local repository (one of
the places it trues to find the file is in your .M2 directory tree).
When I did that it ran.
On May 30, 2014 2:48 PM, "Botelho, Andrew" <Andrew.Botelho@emc.com> wrote:

>  Hi all,
>
>
>
> I am trying to build and install Pig 0.12.1.  I downloaded the tar file
> and unpackaged it.  Now I am trying to build Pig so that it can work with
> the version of Hadoop that I am using – version 2.4.0.  In order to do
> this, I enter the command:
>
>
>
> ant clean jar-all –Dhadoopversion=23
>
>
>
> However, during the build I get an error saying that it can’t find the
> file *jetty-6.1.26.zip*.
>
> Here is some of the stack trace:
>
>
>
>
>
> It seems like it is trying to download the file from a few sites, but the
> file can’t be found at any of them.
>
> Any suggestions or advice would be much appreciated.
>
>
>
> Thanks,
>
>
>
> Andrew Botelho
>
> Intern
>
> EMC Corporation
>
> Education Services
>
> Email: andrew.botelho@emc.com
>

Mime
View raw message